=== plugins/generic/skg_monthly/grantlee_filters/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE GRANTLEE_FILTERS ::..")

PROJECT(grantlee_filters)

FIND_PACKAGE(Grantlee5 0.5 REQUIRED)

ADD_LIBRARY(grantlee_skgfilters MODULE 
skggrantleefilters.cpp 
skgdocumentfilter.cpp 
skgobjectfilter.cpp)
SET_PROPERTY(TARGET grantlee_skgfilters PROPERTY EXPORT_NAME skggrantleefilters)
TARGET_LINK_LIBRARIES(grantlee_skgfilters Qt5::Core skgbasemodeler skgbasegui)
GRANTLEE_ADJUST_PLUGIN_NAME(grantlee_skgfilters)

########### install files ###############
INSTALL(TARGETS grantlee_skgfilters LIBRARY DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/grantlee/${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR} )
