=== debian/changelog ===
skrooge (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Jan 2017 09:53:32 +0100
