=== debian/watch ===
version=4
http://download.kde.org/stable/skrooge/skrooge-([\d\.]+)\.tar\.xz debian svn-upgrade
