## skrooge 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,20 +78,13 @@
 
 OPTION(SKG_CIPHER "Build in sqlcipher mode" ON)
 
-IF(SKG_CIPHER)
-    FIND_PACKAGE(PkgConfig REQUIRED)
-    PKG_CHECK_MODULES(SQLCIPHER REQUIRED sqlcipher)
-    MESSAGE( STATUS "     Mode SQLCIPHER enabled")
-    MESSAGE( STATUS "     SQLCIPHER INCLUDE   :  " ${SQLCIPHER_INCLUDE_DIRS})
-    SET(SQLITE_LIBRARIES ${SQLCIPHER_LIBRARIES})
-    SET(SQLITE_INCLUDE_DIR ${SQLCIPHER_INCLUDE_DIRS})
-    ADD_DEFINITIONS(-DSKGCIPHER)
-    link_directories(${SQLCIPHER_LIBRARY_DIRS})
-ELSE(SKG_CIPHER)
-    FIND_PACKAGE(Sqlite 3.7.0 REQUIRED)
-    MESSAGE( STATUS "     Mode SQLITE enabled")
-    MESSAGE( STATUS "     SQLITE              : " ${SQLITE_INCLUDE_DIR})
-ENDIF(SKG_CIPHER)
+FIND_PACKAGE(PkgConfig REQUIRED)
+PKG_CHECK_MODULES(SQLCIPHER REQUIRED sqlcipher)
+MESSAGE( STATUS "     Mode SQLCIPHER enabled")
+MESSAGE( STATUS "     SQLCIPHER INCLUDE   :  " ${SQLCIPHER_INCLUDE_DIRS})
+SET(SQLITE_LIBRARIES ${SQLCIPHER_LIBRARIES})
+SET(SQLITE_INCLUDE_DIR ${SQLCIPHER_INCLUDE_DIRS})
+link_directories(${SQLCIPHER_LIBRARY_DIRS})
 
 SET_PACKAGE_PROPERTIES(Sqlcipher PROPERTIES DESCRIPTION "Support for encryption"
                        URL "https://www.zetetic.net/sqlcipher/"
@@ -100,7 +93,7 @@
 SET(GRANTLEE_VERSION ${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}.${Grantlee5_VERSION_PATCH})
 MESSAGE( STATUS "     GRANTLEE VERSION    : " ${GRANTLEE_VERSION})
 
-SET(SKG_VERSION "2.6.0")
+SET(SKG_VERSION "2.7.0")
 SET(SKG_BETA "")
 SET(SOVERSION 2)
