=== plugins/skrooge/skrooge_unit/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_UNIT ::..")

PROJECT(plugin_unit)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_unit_SRCS skgunitplugin.cpp skgunitpluginwidget.cpp skgunitboardwidget.cpp)

ki18n_wrap_ui(skrooge_unit_SRCS skgunitpluginwidget_base.ui skgunitpluginwidget_pref.ui)

kconfig_add_kcfg_files(skrooge_unit_SRCS skgunit_settings.kcfgc )

ADD_LIBRARY(skrooge_unit MODULE ${skrooge_unit_SRCS})
TARGET_LINK_LIBRARIES(skrooge_unit KF5::Parts KF5::NewStuff KF5::Archive KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_unit DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgunit_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-unit.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_unit.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_unit )
INSTALL(FILES skrooge_unit.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
