=== debian/changelog ===
skrooge (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Jan 2017 07:53:30 +0100
