## skrooge 2.8.1

=== debian/changelog ===
skrooge (2.8.1-1build2) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2017 00:09:19 -0500

skrooge (2.8.1-1build1) artful; urgency=medium

  * No-change rebuild against libofx7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Jul 2017 06:25:16 +0000

skrooge (2.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 09:22:24 +0200
