## skrooge 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -76,8 +76,6 @@
 
 FIND_PACKAGE(KF5DocTools)
 
-OPTION(SKG_CIPHER "Build in sqlcipher mode" ON)
-
 FIND_PACKAGE(PkgConfig REQUIRED)
 PKG_CHECK_MODULES(SQLCIPHER REQUIRED sqlcipher)
 MESSAGE( STATUS "     Mode SQLCIPHER enabled")
@@ -93,7 +91,7 @@
 SET(GRANTLEE_VERSION ${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}.${Grantlee5_VERSION_PATCH})
 MESSAGE( STATUS "     GRANTLEE VERSION    : " ${GRANTLEE_VERSION})
 
-SET(SKG_VERSION "2.7.0")
+SET(SKG_VERSION "2.9.0")
 SET(SKG_BETA "")
 SET(SOVERSION 2)
 
@@ -183,9 +181,7 @@
 MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")
 
 #ADD_SUBDIRECTORY
-IF(SKG_CIPHER)
-    ADD_SUBDIRECTORY(skgsqlcipher) 
-ENDIF(SKG_CIPHER)
+ADD_SUBDIRECTORY(skgsqlcipher)
 ADD_SUBDIRECTORY(skgbasemodeler)
 ADD_SUBDIRECTORY(skgbankmodeler)
 ADD_SUBDIRECTORY(skgbasegui)
