=== debian/changelog ===
skrooge (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the manual kio dependency, it is injected automatically now.
  * Do not install anymore as documentation the upstream README (since it
    describes only how to build), and TODO (since it is gone).
  * Bump Standards-Version to 4.1.0, no changes required.
  * Depend on python3, since there are Python 3 scripts.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 07:51:30 +0200
