=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skrooge
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
@@ -46,7 +45,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
@@ -56,8 +55,8 @@
 Depends: libqca-qt5-2-plugins,
          libqt5sql5-sqlite,
          skrooge-common (= ${source:Version}),
-         kio,
          kinit,
+         python3,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
