## skrooge 2.10.5

=== debian/changelog ===
skrooge (2.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove Fathi Boudra from Uploaders. (Closes: #879433)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Dec 2017 19:50:13 +0100
