=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.7.0),
@@ -45,7 +45,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
